<template>
  <div class="apex-charts">
    <div class="mx-4 mt-1 pt-2 tway-violet--text">
      <p>{{ title }}</p>
    </div>
    <apexcharts
      type="bar"
      height="350"
      :options="options"
      :series="series"
    ></apexcharts>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";

export default {
  name: "Apex",
  props: {
    title: {
      type: String,
      default: null,
    },
    series: {
      type: Array,
      default: () => [],
    },
    options: {
      type: Object,
      default: () => {},
    },
  },
  components: {
    apexcharts: VueApexCharts,
  },
  data: function () {
    return {};
  },
};
</script>
<style scoped>
.apex-charts {
  max-height: 250px;
}
</style>
